org.bouncycastle.cms.test

## Class Rfc4134Test

- java.lang.Object
- - TestCase
  - - org.bouncycastle.cms.test.Rfc4134Test

    public class Rfc4134Test
    extends TestCase

### Constructor Summary

Constructors
Constructor and Description
`Rfc4134Test(java.lang.String name)`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`static Test` `suite()`
`void` `test4_1()`
`void` `test4_2()`
`void` `test4_4()`
`void` `test4_5()`
`void` `test4_6()`
`void` `test4_7()`
`void` `test5_1()`
`void` `test5_2()`
`void` `testRfc4_3()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Rfc4134Test

    public Rfc4134Test(java.lang.String name)

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### suite

    public static Test suite()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### test4_1

    public void test4_1()
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### test4_2

    public void test4_2()
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testRfc4_3

    public void testRfc4_3()
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### test4_4

    public void test4_4()
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### test4_5

    public void test4_5()
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### test4_6

    public void test4_6()
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### test4_7

    public void test4_7()
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### test5_1

    public void test5_1()
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### test5_2

    public void test5_2()
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`